Bug 176926 - [PATCH] japanese/ming: Fix build failure
[PATCH] japanese/ming: Fix build failure
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jun Kuriyama
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-13 21:00 UTC by don
Modified: 2013-05-04 12:30 UTC (History)
1 user (show)

See Also:


Attachments
ja-ming-0.1.5_7.patch (2.41 KB, patch)
2013-03-13 21:00 UTC, don
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description don 2013-03-13 21:00:00 UTC
Fix build failure.
- Add YYPARSE_PARAM defines.
- Replace giflib's function. (PrintGifError -> GifError)

Port maintainer (kuriyama@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_7 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-03-13 21:00:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jun Kuriyama freebsd_committer 2013-05-04 11:49:10 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter freebsd_committer 2013-05-04 12:26:36 UTC
Author: kuriyama
Date: Sat May  4 10:48:54 2013
New Revision: 317308
URL: http://svnweb.freebsd.org/changeset/ports/317308

Log:
  - Ubreak.
  
  PR:		ports/176926
  Submitted by:	Hiroyuki Iwatsuki <don@na.rim.or.jp>

Added:
  head/japanese/ming/files/patch-src_actioncompiler_swf4compiler.flex   (contents, props changed)
  head/japanese/ming/files/patch-src_actioncompiler_swf5compiler.flex   (contents, props changed)
  head/japanese/ming/files/patch-util_gif2dbl.c   (contents, props changed)
  head/japanese/ming/files/patch-util_gif2mask.c   (contents, props changed)
Modified:
  head/japanese/ming/Makefile

Modified: head/japanese/ming/Makefile
==============================================================================
--- head/japanese/ming/Makefile	Sat May  4 10:44:15 2013	(r317307)
+++ head/japanese/ming/Makefile	Sat May  4 10:48:54 2013	(r317308)
@@ -1,4 +1,3 @@
-# Created by: kuriyama
 # $FreeBSD$
 
 PORTNAME=	ming
@@ -15,8 +14,6 @@ COMMENT=	LGPL'ed Flash 4/5 movie output 
 LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png \
 		gif.5:${PORTSDIR}/graphics/giflib
 
-BROKEN=		does not compile
-
 CONFLICTS=	ming-*
 
 WRKSRC=		${WRKDIR}/jaming-${PORTVERSION}/src

Added: head/japanese/ming/files/patch-src_actioncompiler_swf4compiler.flex
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/japanese/ming/files/patch-src_actioncompiler_swf4compiler.flex	Sat May  4 10:48:54 2013	(r317308)
@@ -0,0 +1,10 @@
+--- actioncompiler/swf4compiler.flex~	2002-06-24 21:21:54.000000000 +0900
++++ actioncompiler/swf4compiler.flex	2013-03-14 04:49:15.000000000 +0900
+@@ -5,6 +5,7 @@
+ 
+ #include "compile.h"
+ #include "action.h"
++#define YYPARSE_PARAM buffer
+ #include "swf4compiler.tab.h" /* defines token types */
+ 
+ int swf4debug;

Added: head/japanese/ming/files/patch-src_actioncompiler_swf5compiler.flex
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/japanese/ming/files/patch-src_actioncompiler_swf5compiler.flex	Sat May  4 10:48:54 2013	(r317308)
@@ -0,0 +1,10 @@
+--- actioncompiler/swf5compiler.flex~	2013-03-14 04:53:36.000000000 +0900
++++ actioncompiler/swf5compiler.flex	2013-03-14 04:52:36.000000000 +0900
+@@ -5,6 +5,7 @@
+ 
+ #include "compile.h"
+ #include "action.h"
++#define YYPARSE_PARAM buffer
+ #include "swf5compiler.tab.h" /* defines token types */
+ 
+ int swf5debug;

Added: head/japanese/ming/files/patch-util_gif2dbl.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/japanese/ming/files/patch-util_gif2dbl.c	Sat May  4 10:48:54 2013	(r317308)
@@ -0,0 +1,11 @@
+--- ../util/gif2dbl.c~	2002-06-24 21:21:54.000000000 +0900
++++ ../util/gif2dbl.c	2013-03-14 04:57:51.000000000 +0900
+@@ -16,7 +16,7 @@
+ void error(char *msg)
+ {
+   printf("%s:\n\n", msg);
+-  PrintGifError();
++  GifError();
+   exit(-1);
+ }
+ 

Added: head/japanese/ming/files/patch-util_gif2mask.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/japanese/ming/files/patch-util_gif2mask.c	Sat May  4 10:48:54 2013	(r317308)
@@ -0,0 +1,11 @@
+--- ../util/gif2mask.c~	2002-06-24 21:21:54.000000000 +0900
++++ ../util/gif2mask.c	2013-03-14 04:57:54.000000000 +0900
+@@ -11,7 +11,7 @@
+ void error(char *msg)
+ {
+   printf("%s:\n\n", msg);
+-  PrintGifError();
++  GifError();
+   exit(-1);
+ }
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"